%global build_with_python	1
%if %{build_with_python}
%global __python		%{__python3}
%endif
%define url_ver			%(echo %{version} | cut -d. -f1,2)
%global __requires_exclude	python-gi
%global busname			org.gnome.gedit

Summary:	Small but powerful text editor for GNOME
Name:		gedit
Version:	3.38.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Editors
URL:		https://wiki.gnome.org/Apps/Gedit
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gio-2.0) >= 2.26.0
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.25.5
BuildRequires:	pkgconfig(glib-2.0) >= 2.37.5
BuildRequires:	pkgconfig(gnome-doc-utils) >= 0.9.0
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.3
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.13.3
BuildRequires:	pkgconfig(gtk-doc) >= 1.0
BuildRequires:	pkgconfig(gtksourceview-4) >= 4.0.2
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(iso-codes) >= 0.35
BuildRequires:	pkgconfig(libpeas-1.0) >= 1.7.0
BuildRequires:	pkgconfig(libpeas-gtk-1.0) >= 1.7.0
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libxml-2.0) >= 2.5.0
BuildRequires:	pkgconfig(sm) >= 1.0.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(vapigen) >= 0.25.1
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gspell-1)
BuildRequires:	pkgconfig(tepl-5)
BuildRequires:	pkgconfig(libattr)
BuildRequires:	gettext-devel
BuildRequires:	gtk-doc
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	yelp-tools
%if %{build_with_python}
BuildRequires:	pkgconfig(pygobject-3.0) >= 2.90.2
BuildRequires:	python3 >= 3.2.3
BuildRequires:	python3-gobject3
Requires:	python3-gobject3
%endif

BuildRequires:	desktop-file-utils


%description
gEdit is a small but powerful text editor designed expressly
for GNOME.

It includes such features as split-screen mode, a plugin
API, which allows gEdit to be extended to support many
features while remaining small at its core, multiple
document editing through the use of a 'tabbed' notebook and
many more functions.

%package devel
Group:		Development/C
Summary:	Headers for writing gEdit plugins
Requires:	%{name} = %{version}-%{release}

%description devel
gEdit is a small but powerful text editor designed expressly
for GNOME.

It includes such features as split-screen mode, a plugin
API, which allows gEdit to be extended to support many
features while remaining small at its core, multiple
document editing through the use of a 'tabbed' notebook and
many more functions.

Install this if you want to build plugins that use gEdit's API.

%prep
%setup -q
%autopatch -p1

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

#cleanup
rm -rf %{buildroot}/var

%find_lang %{name} --with-gnome

desktop-file-install --dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/%{busname}.desktop

for file in %{buildroot}%{_datadir}/applications/*.desktop; do
	desktop-file-edit "$file"
done

%files -f %{name}.lang
%doc README.md NEWS
%{_bindir}/*
%{_datadir}/gedit/
%{_datadir}/applications/%{busname}.desktop
%{_libdir}/gedit/
%{python3_sitelib}/gi/overrides/*
%{_datadir}/glib-2.0/schemas/%{busname}.*
%{_datadir}/dbus-1/services/%{busname}.service
%{_metainfodir}/%{busname}.appdata.xml
%{_iconsdir}/hicolor/*/*/%{busname}.svg
%{_iconsdir}/hicolor/symbolic/apps/%{busname}-symbolic.svg
%{_mandir}/man1/gedit.1*

%files devel
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_datadir}/vala/vapi/gedit.deps
%{_datadir}/vala/vapi/gedit.vapi


%changelog
* Fri Nov 20 2020 ovitters <ovitters> 3.38.1-1.mga8
+ Revision: 1647954
- new version 3.38.1

* Fri Sep 11 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1624551
- new version 3.38.0

* Fri Sep 04 2020 ovitters <ovitters> 3.37.92-1.mga8
+ Revision: 1621712
- new version 3.37.92

* Sun Jul 26 2020 daviddavid <daviddavid> 3.37.3-2.mga8
+ Revision: 1609075
- adjust files list (s/%%{python3_sitearch}/%%{python3_sitelib}/)

* Fri Jul 03 2020 ovitters <ovitters> 3.37.3-1.mga8
+ Revision: 1601506
- new version 3.37.3

* Thu Jun 11 2020 ovitters <ovitters> 3.37.2-1.mga8
+ Revision: 1592459
- new version 3.37.2

* Sat Apr 25 2020 ovitters <ovitters> 3.36.2-1.mga8
+ Revision: 1572107
- new version 3.36.2

* Fri Mar 20 2020 ovitters <ovitters> 3.36.1-1.mga8
+ Revision: 1558233
- new version 3.36.1

* Fri Mar 06 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1554431
- new version 3.36.0

* Wed Feb 19 2020 tv <tv> 3.35.90-1.mga8
+ Revision: 1544899
- fix build (BR, meson options)
+ ovitters <ovitters>
- new version 3.35.90

* Tue Feb 18 2020 umeabot <umeabot> 3.34.1-2.mga8
+ Revision: 1538429
- Mageia 8 Mass Rebuild

* Thu Nov 21 2019 ovitters <ovitters> 3.34.1-1.mga8
+ Revision: 1461993
- new version 3.34.1

* Wed Sep 11 2019 tv <tv> 3.34.0-2.mga8
+ Revision: 1439560
- rebuild for python-3.8

* Mon Sep 09 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1438859
- new version 3.34.0

* Tue Sep 03 2019 tv <tv> 3.33.92-1.mga8
+ Revision: 1436609
- fix filelist
+ ovitters <ovitters>
- new version 3.33.92

* Wed Aug 07 2019 tv <tv> 3.33.90-1.mga8
+ Revision: 1427954
- new release

* Thu May 16 2019 daviddavid <daviddavid> 3.32.2-1.mga7
+ Revision: 1397929
- new version 3.32.2

* Wed Apr 17 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392213
- Rebuild with meson 0.50.1

* Mon Mar 11 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1373890
- new version 3.32.0

* Sun Mar 10 2019 daviddavid <daviddavid> 3.31.92-2.mga7
+ Revision: 1373452
- devel pkg require main pkg

* Sat Mar 09 2019 daviddavid <daviddavid> 3.31.92-1.mga7
+ Revision: 1373285
- new version 3.31.92
- switch to meson build system

* Mon Jan 07 2019 tmb <tmb> 3.30.2-2.mga7
+ Revision: 1351171
- rebuild for python 3.7

* Mon Dec 31 2018 daviddavid <daviddavid> 3.30.2-1.mga7
+ Revision: 1347393
- new version: 3.30.2

* Tue Sep 25 2018 daviddavid <daviddavid> 3.30.1-1.mga7
+ Revision: 1304395
- new version 3.30.1

* Tue Sep 04 2018 daviddavid <daviddavid> 3.30.0-1.mga7
+ Revision: 1257018
- new version: 3.30.0

* Mon Aug 13 2018 tv <tv> 3.29.90-1.mga7
+ Revision: 1251252
- ignore bytecompilation errors:
    File "/usr/lib64/gedit/plugins/snippets/shareddata.py", line 26
    class SharedData(object, metaclass=Singleton):
                                      ^
  SyntaxError: invalid syntax
- fix python enabling options
+ ovitters <ovitters>
- new version 3.29.90

* Mon Apr 09 2018 ovitters <ovitters> 3.28.1-1.mga7
+ Revision: 1216366
- new version 3.28.1

* Wed Mar 14 2018 tv <tv> 3.28.0-2.mga7
+ Revision: 1209215
- rebuild with latest gspell

* Mon Mar 12 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1208547
- new version 3.28.0

* Sun Mar 04 2018 ovitters <ovitters> 3.27.92-1.mga7
+ Revision: 1206518
- new version 3.27.92

* Wed Feb 14 2018 ovitters <ovitters> 3.27.90-1.mga7
+ Revision: 1201267
- new version 3.27.90

* Fri Aug 04 2017 tv <tv> 3.22.1-2.mga7
+ Revision: 1134668
- fix build with new find_lang
- rebuild for new python

* Sun Jul 30 2017 ovitters <ovitters> 3.22.1-1.mga7
+ Revision: 1132857
- new version 3.22.1
- dropped merged patch gedit-3.22.0-fix-dektop-file.patch

* Tue Oct 11 2016 pterjan <pterjan> 3.22.0-4.mga6
+ Revision: 1060191
- Rebuild some recently rejected packages, some were due to a bug in the build system

* Thu Oct 06 2016 ovitters <ovitters> 3.22.0-3.mga6
+ Revision: 1059251
- new version 3.22.0

* Sun May 08 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1010523
- new version 3.20.2

* Thu Mar 31 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 997221
- new version 3.20.1

* Sun Mar 20 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993202
- new version 3.20.0

* Sun Mar 13 2016 ovitters <ovitters> 3.19.5-1.mga6
+ Revision: 990225
- new version 3.19.5

* Mon Feb 15 2016 ovitters <ovitters> 3.19.4-1.mga6
+ Revision: 961576
- new version 3.19.4

* Tue Jan 19 2016 ovitters <ovitters> 3.19.3-1.mga6
+ Revision: 925952
- new version 3.19.3

* Mon Dec 21 2015 tv <tv> 3.19.2-1.mga6
+ Revision: 912862
- fix file list
- fix file list
+ ovitters <ovitters>
- new version 3.19.2

* Mon Nov 23 2015 ovitters <ovitters> 3.19.1-1.mga6
+ Revision: 905147
- new version 3.19.1

* Thu Nov 12 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 902752
- new version 3.18.2

* Mon Oct 12 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 890151
- new version 3.18.1

* Wed Oct 07 2015 ovitters <ovitters> 3.18.0-2.mga6
+ Revision: 887022
- rebuild for new python3

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882709
- new release

* Mon Sep 14 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879372
- new version 3.17.92

* Tue Aug 18 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 865650
- new version 3.17.90

* Mon Jul 20 2015 ovitters <ovitters> 3.17.2-1.mga6
+ Revision: 855671
- new version 3.17.2
- new version 3.17.1

* Mon Jun 22 2015 ovitters <ovitters> 3.17.0-1.mga6
+ Revision: 838893
- new version 3.17.0

* Wed Feb 04 2015 ovitters <ovitters> 3.14.3-1.mga5
+ Revision: 813447
- new version 3.14.3

* Thu Dec 04 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 801548
- new version 3.14.2

* Tue Nov 11 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 796325
- new version 3.14.1

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 749724
- Second Mageia 5 Mass Rebuild

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719192
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.91-2.mga5
+ Revision: 679477
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Tue Aug 19 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 665700
- new version 3.13.91

* Mon Aug 18 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 665260
- new version 3.13.90

* Tue Aug 12 2014 ovitters <ovitters> 3.13.5-1.mga5
+ Revision: 662011
- new version 3.13.5

* Tue Jul 29 2014 ovitters <ovitters> 3.13.4-1.mga5
+ Revision: 657855
- new version 3.13.4

* Wed Jul 23 2014 ovitters <ovitters> 3.13.3-1.mga5
+ Revision: 656052
- new version 3.13.3

* Tue Jun 24 2014 ovitters <ovitters> 3.13.2-2.mga5
+ Revision: 639468
- update url

* Tue Jun 24 2014 ovitters <ovitters> 3.13.2-1.mga5
+ Revision: 639414
- zeitgeist moved to gedit-plugins
- enable vala
- new version 3.13.2
- new version 3.13.1

* Sat May 31 2014 pterjan <pterjan> 3.12.2-3.mga5
+ Revision: 629673
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 3.12.2-2.mga5
+ Revision: 629531
- Rebuild for new Python

* Wed May 28 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 627250
- new version 3.12.2

* Mon Apr 14 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 614142
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 607785
- new version 3.12.0

* Mon Mar 17 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604534
- new version 3.11.92

* Wed Mar 05 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 599895
- new version 3.11.91

* Wed Feb 19 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 594713
- new version 3.11.90

* Thu Feb 06 2014 ovitters <ovitters> 3.11.3-1.mga5
+ Revision: 584451
- new version 3.11.3

* Wed Feb 05 2014 ovitters <ovitters> 3.11.2-1.mga5
+ Revision: 583323
- new version 3.11.2

* Tue Feb 04 2014 ovitters <ovitters> 3.10.4-1.mga5
+ Revision: 582484
- new version 3.10.4

* Wed Nov 20 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 551980
- new version 3.10.2

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 542320
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 497401
- new version 3.10.1

* Tue Oct 08 2013 philippem <philippem> 3.10.0-2.mga4
+ Revision: 493052
- fix python3 build

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484482
- new version 3.10.0

* Wed Sep 18 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 481064
- new version 3.9.92

* Tue Sep 03 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 474670
- new version 3.9.91

* Mon Aug 19 2013 ovitters <ovitters> 3.9.90-1.mga4
+ Revision: 467938
- new version 3.9.90

* Tue Jul 30 2013 fwang <fwang> 3.9.4-1.mga4
+ Revision: 461086
- update file list
+ ovitters <ovitters>
- update buildrequires version numbers
- new version 3.9.4

* Fri Jul 26 2013 dams <dams> 3.9.3-1.mga4
+ Revision: 458193
- new version 3.9.3

* Wed Jun 26 2013 dams <dams> 3.8.3-1.mga4
+ Revision: 446698
- clean %%files
+ ovitters <ovitters>
- new version 3.8.3

* Mon May 27 2013 blino <blino> 3.8.2-1.mga4
+ Revision: 428548
- adapt filelist for python3
+ ovitters <ovitters>
- fix br
+ dams <dams>
- new version 3.8.2

* Fri Jan 11 2013 umeabot <umeabot> 3.6.2-3.mga3
+ Revision: 351214
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 pterjan <pterjan> 3.6.2-2.mga3
+ Revision: 337892
- Fix for _libdir != _libexecdir

* Tue Nov 13 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317442
- new version 3.6.2

* Mon Oct 15 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 306841
- new version 3.6.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297271
- new version 3.6.0

* Wed Sep 19 2012 fwang <fwang> 3.5.3-1.mga3
+ Revision: 296231
- fix desktop file
+ ovitters <ovitters>
- new version 3.5.3

* Thu Aug 30 2012 ovitters <ovitters> 3.5.2-1.mga3
+ Revision: 285868
- new version 3.5.2

* Sat Jul 21 2012 ovitters <ovitters> 3.5.1-1.mga3
+ Revision: 273093
- new version 3.5.1

* Fri Jun 08 2012 fwang <fwang> 3.4.2-1.mga3
+ Revision: 257493
- update file list
+ ovitters <ovitters>
- new version 3.4.2

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231099
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226843
- new version 3.4.0

* Tue Mar 20 2012 ovitters <ovitters> 3.3.8-1.mga2
+ Revision: 225072
- new version 3.3.8

* Wed Mar 07 2012 fwang <fwang> 3.3.7-1.mga2
+ Revision: 220706
- new version 3.3.7

* Tue Mar 06 2012 fwang <fwang> 3.3.6-1.mga2
+ Revision: 220301
- drop merge patch
- new version 3.3.6

* Fri Mar 02 2012 ovitters <ovitters> 3.3.5-1.mga2
+ Revision: 216938
- update file list
- update experimental patch
- update buildrequires
- add experimental patch to fix linking problem
- be verbose while compiling
- update buildrequires
- new version 3.3.5
- update buildrequires
- new version
+ fwang <fwang>
- new version 3.3.3

* Sun Jan 08 2012 wally <wally> 3.3.2-3.mga2
+ Revision: 193360
- yet another rebuild due to missing signature

* Sun Jan 08 2012 wally <wally> 3.3.2-2.mga2
+ Revision: 193329
- rebuild due to missing signature

* Sun Jan 08 2012 wally <wally> 3.3.2-1.mga2
+ Revision: 193311
- new version 3.3.2
- clean .spec a bit

* Sat Dec 17 2011 fwang <fwang> 3.3.1-1.mga2
+ Revision: 183062
- new version 3.3.1

* Fri Dec 16 2011 dmorgan <dmorgan> 3.2.5-3.mga2
+ Revision: 182536
- Enable zeitgeist plugin

* Fri Dec 16 2011 fwang <fwang> 3.2.5-2.mga2
+ Revision: 182531
- aspell and pyorbit is of no use now

* Fri Dec 09 2011 wally <wally> 3.2.5-1.mga2
+ Revision: 179611
- new version 3.2.5

* Thu Dec 08 2011 wally <wally> 3.2.4-1.mga2
+ Revision: 178989
- new version 3.2.4

* Wed Nov 16 2011 wally <wally> 3.2.3-2.mga2
+ Revision: 168104
- new version 3.2.3

* Sun Nov 13 2011 wally <wally> 3.2.2-2.mga2
+ Revision: 167188
- fix devel pkg deps

* Tue Nov 01 2011 wally <wally> 3.2.2-1.mga2
+ Revision: 161082
- new version 3.2.2

* Sun Oct 16 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 155572
- new version 3.2.1

* Mon Sep 26 2011 wally <wally> 3.2.0-1.mga2
+ Revision: 148945
- new version 3.2.0

* Mon Sep 19 2011 wally <wally> 3.1.6-1.mga2
+ Revision: 145725
- new version 3.1.6

* Tue Sep 06 2011 wally <wally> 3.1.5-1.mga2
+ Revision: 139561
- new version 3.1.5
- add major version check to file list
+ fwang <fwang>
- update file list
- enable python support
- update file list
- update file list
- disable undefined for libprivate.so
- new version 3.1.4
- add upstream patch to fix desktop file
- new version 3.1.3
+ cjw <cjw>
- rebuild for automatic typelib dependencies

* Wed Jul 06 2011 wally <wally> 3.1.2-1.mga2
+ Revision: 119541
- new version 3.1.2
- fix file list
- clean .spec a bit

* Fri Jun 24 2011 mikala <mikala> 3.0.5-1.mga2
+ Revision: 113199
- Fix files list
+ pterjan <pterjan>
- Update to 3.0.5

* Thu Feb 17 2011 blino <blino> 2.30.4-3.mga1
+ Revision: 53352
- buildrequire libsm-devel
- remove old ldscriptlets, conflicts and mkrel stuff
- imported package gedit

